| Home · API Reference · Modules

Public Attributes | List of all members
MImPluginSettingsInfo Struct Reference

`#include <settingdata.h>`

## Public Attributes

QString | description_language
QString | plugin_name
QString | plugin_description
int | extension_id
QList< MImPluginSettingsEntry > | entries

## Detailed Description

Settings for a Maliit input method plugin.

## Member Data Documentation

## ◆ description_language

QString MImPluginSettingsInfo::description_language

The language used for human-readable descriptions.

## ◆ entries

QList<MImPluginSettingsEntry> MImPluginSettingsInfo::entries

List of configuration entries for this plugin.

## ◆ extension_id

int MImPluginSettingsInfo::extension_id

Attribute extension id; multiple MImPluginSettingsInfo instances might share the same extension id.

## ◆ plugin_description

QString MImPluginSettingsInfo::plugin_description

Human-readable plugin description.

## ◆ plugin_name

QString MImPluginSettingsInfo::plugin_name

Internal plugin name; "server" for global configuration entries.

Copyright © 2011 Nokia Corporation |  | Maliit